package eu.univento.free4all;

import eu.univento.core.Core;
import eu.univento.free4all.commands.Setloc;
import eu.univento.free4all.listeners.PlayerEvents;
import org.bukkit.Bukkit;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author joethei
 * @version 0.1
 */
public class Free4All extends JavaPlugin {

    public static String prefix = " Free4All";

    private static Free4All instance;
    public static Free4All getInstance() {
        return instance;
    }

    private static Logger logger;
    public static void log(Level level, String msg) {
        logger.log(level, msg);
    }

    @Override
    public void onEnable() {
        Core.getInstance().registerPlugin(this);
        instance = this;
        logger = Bukkit.getLogger();
        PluginManager pm = Bukkit.getPluginManager();
        pm.registerEvents(new PlayerEvents(), this);

        new Setloc(this, "setloc", "sets locations");
    }

    @Override
    public void onDisable() {
        Core.getInstance().unregisterPlugin(this);
    }
}